<!DOCTYPE html>
<html layout:decorator="student/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">

<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:if="${studyPlan.enabled}" th:text="${studyPlan.getName()}"></h1>
        <h1 th:if="${!studyPlan.enabled}" th:inline="text">[[${studyPlan.getName()}]] <i
                class="material-icons">lock_outline</i></h1>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{student.studyplandetails.mandatory}"></h4>
                            <h6 th:text="${studyPlan.getEctsDistribution().getMandatory() + ' ECTS'}"></h6>
                        </li>
                        <li class="collection-item" th:each="subjectForStudyPlan : ${mandatory}">
                            <div class="title">
                                <a class="teal-text"
                                   data-th-href="@{/student/lehrveranstaltungen/semester/subject(subjectId=__${subjectForStudyPlan.getSubject().getId()}__)}"
                                   th:text="${subjectForStudyPlan.getSubject().getName()}"></a>
                            </div>
                            <div th:if="${subjectForStudyPlan.getSemesterRecommendation() != null}">
                                <div th:text="${subjectForStudyPlan.getSemesterRecommendation()} + '. Semester'"></div>
                            </div>
                            <div th:text="${subjectForStudyPlan.getSubject().getEcts()} + ' ECTS'"></div>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{student.studyplandetails.optional}"></h4>
                            <h6 th:text="${studyPlan.getEctsDistribution().getOptional() + ' ECTS'}"></h6>
                        </li>
                        <li class="collection-item" th:each="subjectForStudyPlan : ${optional}">
                            <div class="title">
                                <a class="teal-text"
                                   data-th-href="@{/student/lehrveranstaltungen/semester/subject(subjectId=__${subjectForStudyPlan.getSubject().getId()}__)}"
                                   th:text="${subjectForStudyPlan.getSubject().getName()}"></a>
                            </div>
                            <div th:if="${subjectForStudyPlan.getSemesterRecommendation() != null}">
                                <div th:text="${subjectForStudyPlan.getSemesterRecommendation()} + '. Semester'"></div>
                            </div>
                            <div th:text="${subjectForStudyPlan.getSubject().getEcts()} + ' ECTS'"></div>
                        </li>
                    </ul>
                </div>

            </div>
        </div>

        <div class="row">
            <div class="col s12 m7">
                <div class="card-content z-depth-1">
                    <ul class="collection with-header">
                        <li class="collection-header">
                            <h4 th:text="#{student.studyplandetails.free}"></h4>
                            <h6 th:text="${studyPlan.getEctsDistribution().getFreeChoice() + ' ECTS'}"></h6>
                        </li>

                    </ul>
                </div>

            </div>
        </div>

    </div>


</main>

</body>

</html>
